DOCS
Dashboardnorth_eastGet an API keyvpn_key
PAI Chat·Endpoint
POST/chatbot/{chatbotId}/web/crawl/{requestId}/recrawl

Re-run a crawl request from its original start URL and patterns. Limited to once

Re-run a crawl request from its original start URL and patterns. Limited to once per 24 hours per crawl request.

GET/chatbot/{chatbotId}/web/crawl/{requestId}/sitemaparrow_forward
tune
Parameters
chatbotIdrequiredpath
string (uuid)
The ID of the chatbot
requestIdrequiredpath
string (uuid)
The ID of the crawl request to re-crawl
double_arrow
Returns 200
requestrequired
object
idrequired
string (uuid)
chatbotIdrequired
string (uuid)
startUrlrequired
string
excludePatterns
nullarray
includePatterns
nullarray
statusrequired
string
pagesFound
nullnumber
pdfsFound
nullnumber
error
nullstring
createdAtrequired
string (date-time)
completedAt
null,string (date-time)
lastCrawledAt
null,string (date-time)
report
Errors
StatusDescription
404Default Response
409Default Response
429Default Response
500Default Response
north_east
Request
curl -X POST 'https://chat-api-dev.paicloud.ai//chatbot/{chatbotId}/web/crawl/{requestId}/recrawl' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
south_west
Response
200 OK
application/json
{
  "request": {
    "id": "00000000-0000-0000-0000-000000000001",
    "chatbotId": "00000000-0000-0000-0000-000000000001",
    "startUrl": "startUrl",
    "excludePatterns": "excludePatterns",
    "includePatterns": "includePatterns",
    "status": "status",
    "pagesFound": "pagesFound",
    "pdfsFound": "pdfsFound",
    "error": "error",
    "createdAt": "2026-01-01T00: 00:00Z",
    "completedAt": "2026-01-01T00: 00:00Z",
    "lastCrawledAt": "2026-01-01T00: 00:00Z"
  }
}